<?php
define('GCMS',true);
require_once ('system/power.php');
switch($do) {
case 'on':
if (empty($_POST['login']) || empty($_POST['pass'])) {
$diz -> head('Авторизация');
$diz -> title('Авторизация');
$ua = str_replace('windows ce', '', strtolower($_SERVER['HTTP_USER_AGENT']));
if (stripos($ua, 'windows') !== false || stripos($ua, 'linux') !== false || stripos($ua, 'bsd') !== false || stripos($ua, 'x11') !== false || stripos($ua, 'unix')
 !== false || stripos($ua, 'macos') !== false || stripos($ua, 'macintosh') !== false) {
?>
<html>
<div class="fon">
<form action="aut.php?do=on" method="post">
Ваш Логин/ID<br/>
<input type="text" name="login" maxlength="12" onFocus="javascript:toggleMsg('msg-1')" onBlur="javascript:toggleMsg('msg-1')"/>
<span id="msg-1" class="msg" style="visibility:hidden;">Введите ваш логин или ваш ID</span><br/>
Ваш пароль<br/>
<input  type="password" name="pass" maxlength="12" onFocus="javascript:toggleMsg('msg-2')" onBlur="javascript:toggleMsg('msg-2')"/>
<span id="msg-2" class="msg" style="visibility:hidden;">Введите ваш пароль</span><br/>
</html>
<?
}else{
?>
<html>
<div class="fon">
<form action="aut.php?do=on" method="post">
Ваш Логин/ID<br/>
<input type="text" name="login" maxlength="12"/><br />
Ваш пароль<br/>
<input  type="password" name="pass" maxlength="12"/><br />
</html>
<?
}
$msg.='<input type="checkbox" name="memory" value="1" checked="checked" />Запомнить меня<br/>
<input type="submit" value="Войти" title="Войти на сайт"/></form>';
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('r.png').'<a href="lost.php">Восстановление пароля</a><br/>
'.$diz -> img('r.png').'<a href="reg.php">Регистрация</a><br/>
'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
} else {
if(preg_match("/[^a-z0-9]+/i",$_POST['pass'])){
$diz -> head('Авторизация');
$diz -> title('Авторизация');
$msg.='<div class="fon">Некорректно введён пароль!</div>
<div class="levo"><a href="aut.php?do=on">Назад</a>
</div><div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
}else{
$login = shit($_POST['login']); 
$pas = shit($_POST['pass']); 
$pass = shit(md5(md5($pas)));
$su = $db -> query("SELECT `login` FROM `users` WHERE `login` = '".$login."' or `id` = '".$login."' LIMIT 1");
$r = $su -> fetch_row();
$sql = $db -> query("SELECT `id` FROM `users` WHERE `login` = '".$r[0]."' AND `pass` = '".$pass."' LIMIT 1");
if ($sql -> num_rows > 0 ) {
$row = $sql -> fetch_row();
$_SESSION['uid'] = $row[0];
$_SESSION['pass'] = htmlentities($_POST['pass'],ENT_QUOTES);
if ($_POST['memory'] == 1) {
setcookie('uid',$row[0], time() + 86400);
setcookie('pass',base64_encode($_POST['pass']), time() + 86400);
}
header('location: aut.php?do=us&id='.$row[0].'&act='.$pas.'');
} else {
$diz -> head('Авторизация');
$diz -> title('Авторизация');
$msg.='<div class="fon">Пользователя с таким id/ником и паролем не существует!<br/>Если вы забыли свой пароль,воспользуйтесь 
<a href="lost.php">восстановлением пароля</a><br/><a href="aut.php?do=on">Назад</a></div>
<div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
}
}
}
break;
case 'act':
$diz -> head('Авторизация');
$diz -> title('авторизация');
$msg.='<div class="fon">Извините,но регистрация пользователей проходит модерацию!</div>';
$msg.='<div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
break;
case 'us':
$diz -> head('Авторизация');
$diz -> title('Авторизация');
$pas = shit($act); 
$pass = md5(md5($pas));
$sql = $db -> query("SELECT `id` FROM `users` WHERE `id` = '".$id."' AND `pass` = '".$pass."' LIMIT 1");
if ($sql -> num_rows > 0) {
$row = $sql -> fetch_row();
$_SESSION['uid'] = $row[0];
$_SESSION['pass'] = htmlentities($pas,ENT_QUOTES);
if ($_POST['memory'] == 1) {
setcookie('uid',$row[0], time() + 86400);
setcookie('pass',base64_encode($pas), time() + 86400);
}
$msg.='<div class="fon">Вы успешно авторизированы!<br/>
<b>Ссылка автологина</b></br>
<input type="text" value="http://'.$_SERVER['HTTP_HOST'].'/aut.php?do=us&id='.$id.'&act='.$act.'"/></br>Или просто сохраните текущую страницу</br>
<a href="index.php">Войти на сайт</a></div>';
} else {
header('location: aut.php?do=on');}
$msg.='<div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
$diz -> out($msg);
break;
case 'off':
$diz -> head('Выход');
$diz -> title('Выход');
if($mode!=true){
$msg.='<div class="fon">';
$msg.='Вы действительно хотите выйти с сайта?</br>';
$msg.='<a href="?do=off&mode=true">Да,я хочу выйти</a>';
$msg.='</div><div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</div>';
$diz -> out($msg);
}elseif($mode==true){
unset($_SESSION['uid']);
unset($_SESSION['pass']);
setcookie('uid','');
setcookie('pass','');
header('location: index.php');
}else{header('location: ?do=off');}
break;
//Главная страница
default:
if ($aut==false) {$diz -> head('Ошибка авторизации!');
$diz -> title('Ошибка авторизации');
$msg.='<div class="fon">';
$msg.='<b>Вы не авторизированы</b>!</br>Пройдите <a href="reg.php">регистрацию</a> или <a href="aut.php?do=on">авторизируйтесь</a>
</div><div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</a></div>';
}else{header('refresh: 5; url=index.php');
$diz -> head('Ошибка!');
$diz -> title(''.$ya['login'].'-авторизирован');
$diz -> out(''.$ya['login'].',вы авторизированы!
<div class="levo">'.$diz -> img('home.png').'<a href="index.php">На главную</div>');}
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
}
?>